Carts & CheckoutCustomer
Get order status
Returns the current status of one of the customer's orders, for an order tracking page.
GET
/v1/customer/orders/{orderId}/statusReturns the current status of one of the customer's orders, for an order tracking page.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
orderId*string
Identifier of the order.
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/customer/orders/7204558912004325301/status" \ -H "Authorization: Bearer <token>" \ -H "x-Store-Domain: my-store"{ "orderId": "7204558912004325301", "orderNumber": "ORD-2026-0001", "status": "new", "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z"}